{% extends 'base.html.twig' %}

{% block title %}Qualiter{% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}
    <td>
        <a>
            <button class="btn btn-success btn_new_qualiter" url="{{ path('qualiter_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter qualiter"> Ajouter</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste Qualiter </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="example2" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Libelle qualite français</th>
                    <th>Libelle qualite arabe</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for qualiter in qualiters %}
                    <tr>

                        <td>{{ qualiter.libelleQualiteFr }}</td>
                        <td>{{ qualiter.libelleQualiteAr }}</td>

                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_qualiter"
                                                url="{{ path('qualiter_show', {'id': qualiter.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_qualiter"
                                                url="{{ path('qualiter_edit', {'id': qualiter.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier qualiter"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    {{ include('qualiter/_delete_form.html.twig') }} </li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

            {#fenetre modale #}

            <div class="modal fade" id="modalQualiter" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_qualiter"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_qualiter', function (event) {
            $('#modalQualiter').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_qualiter').html('Ajouter nouvelle qualiter');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_qualiter', function (event) {
            $('#modalQualiter').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_qualiter').html('Modifier Qualiter');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_qualiter', function (event) {
            $('#modalQualiter').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_qualiter').html('Info Qualiter');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_qualiter', function (event) {
            var name_qualiter = $(this).attr('name_qualiter');
            var id_qualiter = $(this).attr('id_qualiter');
            $('#modalQualiter').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_qualiter').html('Supprimer Qualiter');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la qualiter: <b>' + name_qualiter + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_qualiter" onclick="confirmer_delete_qualiter(' + id_qualiter + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_qualiter(id_qualiter) {
            $('#form_delete_qualiter_' + id_qualiter).submit();
        }

        $('body').on('click', '.save_qualiter', function (event) {

            var form = $('#form_add_qualiter');
            var formData = new FormData(document.getElementById("form_add_qualiter"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_qualiter').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalQualiter').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_qualiter', function (event) {

            var form = $('#form_add_qualiter');
            var formData = new FormData(document.getElementById("form_add_qualiter"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_qualiter').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalQualiter').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_qualiter(name_qualiter) {
            $('#modalQualiter').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_qualiter').html('Supprimer Qualiter');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la qualiter: ' + name_qualiter);
            return false;
        }
    </script>

{% endblock %}